Name: yorick
Version: 2.2.04
Release: 4%{?dist}
%define source_tag y_2_2_04
Summary: A fast interpreted language designed for scientific computing

Group: Applications/Scientific
License: BSD
Packager: ESO <usd-help@eso.org>
URL: http://yorick.github.com/
Source0: https://github.com/dhmunro/%{name}/archive/%{source_tag}.tar.gz#/%{name}-%{source_tag}.tar.gz
Patch0: yorick-pie.patch
Patch1: graph_int_argc.patch

BuildRequires: libX11-devel

%description
Yorick is a very fast interpreted language designed for scientific computing and
numerical analysis. The syntax is similar to C, but without declarative
statements. Operations between arrays yield array results, and Yorick provides a
very rich selection of multi-dimensional array indexing operations. Yorick also
features a binary I/O package which automatically translates floating point and
integer representations on the machine where it is running to and from the
format of any other machine.  Thus, you can easily share binary files between,
for example, Cray YMPs and DEC alphas, or "teach" Yorick to read existing binary
databases. Yorick also offers an interactive graphics package based on X
windows. X-Y plots, quadrilateral meshes, filled meshes, cell arrays, and
contours are supported. Finally, you can embed compiled routines in custom
versions of Yorick to solve problems for which the interpreter is too slow. The
primary use of Yorick to date has been as a pre- and post-processor for large
physical simulation programs.

%prep
%setup -q -n %{name}-%{source_tag}
%patch0 -p0
%patch1 -p0

%build
make Y_HOME=relocate config
%make_build

%install
rm -rf %{buildroot}
make install
# Reorganise files to follow system installation locations. But use symlinks
# under /usr/libexec/yorick to reconstitute the original directory structure
# needed by the yorick binary to find its files.
rm -f relocate/LICENSE.md
install -m 755 -d %{buildroot}%{_datadir}
sed -i 's|=relocate|=%{_libexecdir}/%{name}|' relocate/Make.cfg
mv relocate %{buildroot}%{_datadir}/%{name}
install -m 755 -d %{buildroot}%{_libexecdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/lib %{buildroot}%{_libexecdir}/%{name}/
mv %{buildroot}%{_datadir}/%{name}/bin %{buildroot}%{_libexecdir}/%{name}/
for N in Make.cfg Makedll Makeexe Makepkg g i i0 i-start ; do
    ln -s %{_datadir}/%{name}/$N %{buildroot}%{_libexecdir}/%{name}/$N
done
install -m 755 -d %{buildroot}%{_bindir}
for N in yorick gist ; do
    ln -s %{_libexecdir}/%{name}/bin/$N %{buildroot}%{_bindir}/$N
done
install -m 755 -d %{buildroot}%{_includedir}
mv %{buildroot}%{_datadir}/%{name}/include %{buildroot}%{_includedir}/%{name}
ln -s %{_includedir}/%{name} %{buildroot}%{_libexecdir}/%{name}/include
install -m 755 -d %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/%{name}/doc %{buildroot}%{_docdir}/%{name}
ln -s %{_docdir}/%{name} %{buildroot}%{_libexecdir}/%{name}/doc
ln -s %{_docdir}/%{name}/LICENSE.md %{buildroot}%{_libexecdir}/%{name}/LICENSE.md

%files
%doc LICENSE.md ONEWS
%docdir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}
%{_includedir}/*

%changelog
* Thu Mar 31 2016 ESO <usd at eso.org> 2.2.04-4
- New version created.
